--------------------------------------------------------------------------------

-------------------------------[[ SinglePlayer ]]--------------------------------

--------------------------------------------------------------------------------
local SPgame = GameState:addState('SinglePlayerGame')
currentLevel = 1
retries = 0
platformColor={100,100,100,255}
yellow={255,255,0}
---------------------------------------------------------------------------------
function SPgame:enteredState()
	buttonActive = false
	death = false
	require ('lua.Ai.Player')
	require ('Quotes')
	levelSpawns= {}
	levelSpawns[1]={x=50,y=450}
	levelSpawns[2] ={x=50,y=450}
	levelSpawns[3] ={x=50,y=450}
	levelSpawns[4] ={x=0,y=100}
	levelSpawns[5] ={x=0,y=100}
	levelSpawns[6] ={x=50,y=450}
	levelSpawns[7]={x=100,y=450}
	levelSpawns[8]={x=10,y=10}
	levelSpawns[9]={x=25,y=500}
	
	if levelSpawns[currentLevel] == nil then
		levelSpawns[currentLevel] = {x=0,y=0}
	end 
	player = {Player = Player:new("Syca",levelSpawns[currentLevel].x,levelSpawns[currentLevel].y)}
	timer = 1

	

	--constants
	floor = {x=0,y=500,width = 800, height=100,disapear=false,platform=true}
	leftWall = {x=0,y=0,width = 1, height=600,disapear=false,platform=true}
	rightWall = {x=799,y=0,width = 1, height=600,disapear=false,platform=true}
	levels={}

	levels[1]={Plat1={x=425,y=450,width=25,height=25,disapear=false,platform=true},
		Plat2={x=325,y=450,width=25,height=25,disapear=false,platform=true},
		exit={x=505,y=400-26,width=18,height=26,exit=true,shown=true}}

	levels[2]={Plat1={x=200,y=450,width=25,height=25,disapear=false,platform=true},
		Plat2={x=300,y=400,width=25,height=25,disapear=false,platform=true},
		Plat3={x=400,y=350,width=50,height=25,disapear=nil,platform=true},
	exit={x=425,y=350-26,width=18,height=26,disapear=nil,shown=true,exit=true}}

	levels[3]={Plat1={x=200,y=450,width = 25,height=25,disapear=false,platform=true},
		Plat2={x=300,y=400,width = 25, height=25,disapear=false,platform=true},
		Plat3={x=400,y=350,width = 50, height=25,disapear=nil,platform=true},
		plat4={x=390,y=0,width = 25, height=315,disapear=nil,platform=true},
	exit={x=425,y=350-26,width=18,height=26,disapear=nil,shown = true,exit=true}}

	levels[4]={Plat1={x=0,y=200,width = 25, height=25,disapear=nil,platform=true},
	Plat2={x=25,y=200,width = 25, height=25,disapear=false,platform=true},
	Plat3={x=50,y=200,width = 25, height=25,disapear=false,platform=true},
	Plat4={x=75,y=200,width = 25, height=25,disapear=false,platform=true},
	Plat5={x=100,y=200,width = 25, height=25,disapear=false,platform=true},
	Plat6={x=125,y=200,width = 25, height=25,disapear=true,platform=true},
	Plat7={x=150,y=200,width = 25, height=25,disapear=false,platform=true},
	Plat8={x=175,y=200,width = 25, height=25,disapear=false,platform=true},
	Plat9={x=200,y=200,width = 25, height=25,disapear=true,platform=true},
	Plat10={x=225,y=200,width = 25, height=25,disapear=false,platform=true},
	Plat11={x=250,y=200,width = 25, height=25,disapear=false,platform=true},
	Plat12={x=275,y=200,width = 25, height=25,disapear=false,platform=true},
	Plat13={x=450,y=200,width = 25, height=25,disapear=false,platform=true},
	Plat14={x=700,y=180,width = 25, height=25,disapear=false,platform=true},
	exit={x=750,y=75-26,width=18,height=26,disapear=nil,shown = true,exit=true}}

	levels[5]={Plat1={x=0,y=200,width=25,height=25,disapear=nil,platform=true},
		Plat2={x=100,y=150,width=25,height=25,disapear=false,platform=true},
		Plat3={x=200,y=250,width=25,height=25,disapear=false,platform=true},
		Plat4={x=300,y=100,width=25,height=25,disapear=false,platform=true},
		button={x=400,y=100,width=25,height=25,disapear=nil,button=true},
		Plat5={x=500,y=400,width=25,height=25,disapear=nil,platform=true},
		Plat6={x=425,y=0,width=25,height=100,disapear=nil,platform=true},
	exit={x=505,y=400-26,width=18,height=26,disapear=nil,shown=false,exit=true}} --first blue button

	levels[6]={button={x=400,y=500,width=25,height=15,disapear=nil,button=true},
		Plat1={x=425,y=450,width=25,height=25,disapear=nil,shown=false},
		Plat2={x=400,y=325,width=25,height=125,disapear=nil,shown=false}, --dis one
		Plat3={x=500,y=400,width=50,height=25,disapear=nil,platform=true},
		Plat4={x=400-25,y=425,width=25,height=25,disapear=false,shown=false},
		Plat5={x=325-25,y=375,width=25,height=25,disapear=false,shown=false},
		Plat6={x=500-25,y=0,width=25,height=400,disapear=false,shown=false},
		Plat7={x=500,y=350,width=50,height=25,disapear=nil,shown=false},
		Plat8={x=600,y=450,width=25,height=25,disapear=false,shown=false},
		Plat9={x=400,y=0,width=25,height=285,disapear=false,shown=false},
		Plat10={x=400-25,y=325,width=25,height=25,disapear=false,shown=false},
		Plat11={x=400-25,y=285-25,width=25,height=25,disapear=nil,shown=false},
exit={x=505,y=400-26,width=18,height=26,disapear=nil,shown=false,exit=true}}

	levels[7]={button={x=300,y=200+25,width=25,height=25,disapear=false,button=true},
		Plat1={x=25,y=450,width=25,height=25,disapear=false,platform=true},
		Plat2={x=300-25,y=200-25,width=25,height=75,disapear=nil,platform=true},
		Plat3={x=100,y=375,width=25,height=25,disapear=false,platform=true}, --dis
		Plat5={x=300,y=375,width=25,height=25,disapear=false,platform=true},
		Plat4={x=300-25,y=200-50,width=75,height=25,disapear=nil,platform=true},--dis
		Plat6={x=400,y=300,width=25,height=25,disapear=false,platform=true},
		Plat7={x=400,y=200,width=25,height=25,disapear=false,shown=false},
	exit={x=300-18,y=150-26,width=18,height=26,shown=true,exit=true}}

	levels[8]={Plat1={x=400,y=400,width=25,height=100,disapear=nil,platform=true},
		button={x=400,y=400-25,width=25,height=25,disapear=nil,button=true},
		Plat2={x=0,y=100,width=25,height=25,disapear=nil,platform=true},
		Plat3={x=700,y=350,width=25,height=250,disapear=nil,shown=false},
		Plat4={x=550,y=350,width=25,height=25,disapear=false,shown=false},
		Plat5={x=650,y=300,width=25,height=25,disapear=false,shown=false},
		Plat6={x=0,y=500-25,width=400,height=25,disapear=nil,death=true,shown=true},
		Plat7={x=400+25,y=500-25,width=300-25,height=25,disapear=nil,death=true,shown=true},
		Plat8={x=745,y=400-25,width=100,height=50,disapear=nil,shown=false,death=true},
	exit={x=780-18,y=500-26,width=18,height=26,shown=true,exit=true}}

	levels[9]={Yellowbutton={x=400,y=500-25,width=25,height=25,disapear=nil,Yellowbutton=true},
		Greenbutton={x=400,y=200-25,width=25,height=25,disapear=nil,Greenbutton=true},
		Plat1={x=425,y=300,width=25,height=200,disapear=nil,platform=true},
		Plat2={x=600,y=100,width=25,height=400,disapear=nil,platform=true},
	exit={x=780-18,y=500-26,width=18,height=26,shown=true,exit=true,finished=true}
	}
	

	Plat=levels[currentLevel]


end

--------------------------------------------------------------------------------
function SPgame:continuedState()
end

--------------------------------------------------------------------------------
function SPgame:pausedState()
end

--------------------------------------------------------------------------------
function SPgame:exitedState()
end

--------------------------------------------------------------------------------
function SPgame:update(dt)
	if death then
		retries = retries+1
		player.Player.x,player.Player.y = 0,0
		player.Player.jumping = true
		player.Player.xvel=0
		buttonActive = false
		self:pushState('SinglePlayerGame')
	end
	player.Player:update(dt)
	if aabb(player.Player,floor)then
		collide(player.Player,floor)
	end
	if aabb(player.Player,leftWall)then
		collide(player.Player,leftWall)
	end
	if aabb(player.Player,rightWall)then
		collide(player.Player,rightWall)
	end
	if aabb(player.Player, levels[currentLevel].exit) and levels[currentLevel].exit.shown then
		if levels[currentLevel].exit.finished~= nil and levels[currentLevel].exit.finished == false then
			levels[currentLevel].exit.finished = true
		end
			if currentLevel <= #levels then
				
				if currentLevel == #levels and levels[currentLevel].exit.finished then
					love.quit()
				elseif levels[currentLevel].exit.finished == nil then
					currentLevel = currentLevel +1
					player.Player.x,player.Player.y = 0,0
					player.Player.jumping = true
					player.Player.xvel=0
					buttonActive = false
					self:pushState('SinglePlayerGame')
				end
				
			end
			
		end
	for i,v in pairs(Plat)do
		if buttonActive then
			Plat[i].shown = true
		end
		if aabb(player.Player,Plat[i]) then
			if Plat[i].exit ==nil and Plat[i].shown == nil then
				collide(player.Player,Plat[i])
			elseif Plat[i].shown and Plat[i].exit ==nil then
				collide(player.Player,Plat[i])
			end
		end
		collide(Plat[i],floor)
		if Plat[i].disapear then
			Plat[i].y = Plat[i].y + 5
		end
	end
end

--------------------------------------------------------------------------------
function SPgame:draw()
	--scrolling background
	
	--platforms/walls
	color(platformColor)
	rect("fill",floor.x,floor.y,floor.width,floor.height)
	for i, v in pairs(Plat) do
		if Plat[i].y <600 then
			if Plat[i].platform and Plat[i].button == nil and Plat[i].shown == nil and Plat[i].death == nil  then
				color(platformColor)
				rect("fill",Plat[i].x,Plat[i].y,Plat[i].width,Plat[i].height)
			end
			if Plat[i].button then
				color(blue)
				rect("fill",Plat[i].x,Plat[i].y,Plat[i].width,Plat[i].height)
			end
			if Plat[i].Yellowbutton then
				color(yellow)
				rect("fill",Plat[i].x,Plat[i].y,Plat[i].width,Plat[i].height)
			end
			if Plat[i].Greenbutton then
				color(green)
				rect("fill",Plat[i].x,Plat[i].y,Plat[i].width,Plat[i].height)
			end
			if Plat[i].shown then
				if Plat[i].exit==true then color(102,51,0)elseif Plat[i].exit == nil and Plat[i].button == nil then color(platformColor) end
				rect("fill",Plat[i].x,Plat[i].y,Plat[i].width,Plat[i].height)
			end
			if Plat[i].death and Plat[i].shown then
				color(red)
				rect("fill",Plat[i].x,Plat[i].y,Plat[i].width,Plat[i].height)
			end
		end
		
	end

	--player render
	player.Player:render()

	color(white)
	--lg.print(player.Player.yvel,700,0)
	if quotes[currentLevel] == nil then
		lg.print("Make the text you dick!",300,505)
	else
		lg.print(currentLevel.." : "..quotes[currentLevel],300,505)
	end
	lg.print("Retries: "..retries,700,525)
end

--------------------------------------------------------------------------------
function SPgame:keypressed(key, unicode)
	player.Player:keyPressed(key)
	if key =='q' or key == "escape" then
		--love.event.quit()
		love.quit()
	elseif key == "r" then
		self:pushState('SinglePlayerGame')
		retries = retries +1
	end
end

--------------------------------------------------------------------------------
function SPgame:keyreleased(key)
end
--------------------------------------------------------------------------------
